require 'mail'

include Clockwork

Mail.defaults do
  delivery_method :smtp, :user_name => ENV['MAIL_ADDRESS'],
  :password  => ENV['MAIL_PASSWORD'],
  :address   => 'smtp.gmail.com',
  :port      => 587
end

handler do |job|
  case job
  when 'alarm.job'
    Mail.deliver do
      from ENV['MAIL_ADDRESS']
      to ENV['MAIL_ADDRESS']
      subject "Alarm"
      body 'Awesome!'
    end
  end
end

every(1.days, 'alarm.job', at: '00:00')
